Summary: Comic book viewer
Name: comix
Version: 4.0.4
Release: alt1
License: GPLv2+
Group: Graphics
Url: http://comix.sourceforge.net/
Packager: Ilya Mashkin <oddity@altlinux.ru>
Source: %name-%version.tar.gz
Patch1: %name.netbsd.patch1
Patch2: %name.netbsd.patch2
Patch3: %name-4.0.3-filechooser.patch

Requires: python-module-imaging

BuildPreReq: desktop-file-utils shared-mime-info GConf
# Automatically added by buildreq on Thu Apr 03 2008 (-bi)
BuildRequires: GConf libjpeg-utils python-module-imaging python-module-imaging-devel python-module-pygobject  unrar python-module-pygtk-devel python-module-pygtk

%description
Comix is a comic book viewer. It reads zip, rar, tar, tar.gz, and tar.bz2
archives (often called .cbz, .cbr and .cbt) as well as normal image files.

%prep
%setup -q
#patch1 -p0
#patch2 -p0
#patch3 -p0 -b .filechooser

%build
%install
%__install -d %buildroot%prefix
%__python install.py install --dir %buildroot%prefix
#__install -p -m 644 Mime/* %buildroot%_datadir/mime/application/

%__mkdir_p $RPM_BUILD_ROOT%_datadir/mime/packages
%__install -c -p -m644 mime/comix.xml \
	$RPM_BUILD_ROOT%_datadir/mime/packages/%name.xml

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/gconf/schemas
%__install -c -p -m644 mime/comicbook.schemas \
	$RPM_BUILD_ROOT%_sysconfdir/gconf/schemas/%name.schemas

%find_lang %name
%pre
[ "$1" -gt 1 ] || exit 0

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
	%_sysconfdir/gconf/schemas/%name.schemas >/dev/null

exit 0

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%_sysconfdir/gconf/schemas/%name.schemas > /dev/null

touch --no-create %_datadir/icons/hicolor

update-desktop-database &> /dev/null
update-mime-database %_datadir/mime &> /dev/null

exit 0

%preun
[ "$1" -eq 0 ] || exit 0

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
	%_sysconfdir/gconf/schemas/%name.schemas > /dev/null

exit 0

%postun
update-desktop-database &> /dev/null
update-mime-database %_datadir/mime &> /dev/null

[ $1 -eq 0 ] || exit 0
touch --no-create %_datadir/icons/hicolor
%_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor

exit 0


%files -f %name.lang
%doc ChangeLog COPYING README
%_man1dir/*.1*
%_bindir/*
%_sysconfdir/gconf/schemas/%name.schemas
%_datadir/mime/packages/%name.xml
%_datadir/mime/*
%_datadir/%name/images/*
%_datadir/%name/src/*
%_datadir/applications/comix.desktop
%_datadir/icons/hicolor/*/apps/*
%_datadir/icons/hicolor/*/mimetypes/*
#_liconsdir/*
%_datadir/icons/hicolor/scalable/apps/comix.svg
#_datadir/pixmaps/*

%changelog
* Sun Apr 05 2009 Ilya Mashkin <oddity@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Fri Apr 03 2009 Ilya Mashkin <oddity@altlinux.ru> 4.0.3-alt1
- 4.0.3
- apply repocop patch

* Wed Oct 22 2008 Ilya Mashkin <oddity@altlinux.ru> 3.6.5-alt1
- 3.6.5

* Mon Apr 21 2008 Mikhail Pokidko <pma@altlinux.org> 3.6.4-alt3
- netbsd-patches (by php-coder)

* Thu Apr 03 2008 Mikhail Pokidko <pma@altlinux.org> 3.6.4-alt2
- repocop fix

* Fri Mar 21 2008 Mikhail Pokidko <pma@altlinux.org> 3.6.4-alt1
- Version up, fix #15019

* Tue Jul 18 2006 Mikhail Pokidko <pma@altlinux.ru> 3.1.3-alt1
- initial build
